Project Chrono: chrono::opengl::ChOpenGLCamera Class Reference

Public Member Functions | Public Attributes | List of all members
chrono::opengl::ChOpenGLCamera Class Reference
OpenGL module

## Description

OpenGL camera class.

`#include <ChOpenGLCamera.h>`

Inheritance diagram for chrono::opengl::ChOpenGLCamera:
[legend]
Collaboration diagram for chrono::opengl::ChOpenGLCamera:
[legend]

## Public Member Functions
void | TakeDown ()
void | Reset ()
void | Update ()
void | Move (CameraDirection dir)
void | ChangePitch (float degrees)
void | ChangeHeading (float degrees)
void | Move2D (int x, int y)
void | SetMode (CameraType cam_mode)
void | SetPosition (glm::vec3 pos)
void | SetLookAt (glm::vec3 pos)
void | SetFOV (double fov)
void | SetViewport (int loc_x, int loc_y, int width, int height)
void | SetClipping (double near_clip_distance, double far_clip_distance)
void | SetDistance (double cam_dist)
void | SetPos (int button, int state, int x, int y)
CameraType | GetMode ()
void | GetViewport (int &loc_x, int &loc_y, int &width, int &height)
void | GetMatricies (glm::mat4 &P, glm::mat4 &V, glm::mat4 &M)

## Public Attributes
CameraType | camera_mode
int | viewport_x
int | viewport_y
int | window_width
int | window_height
double | aspect
double | field_of_view
double | near_clip
double | far_clip
float | camera_scale
float | camera_heading
float | camera_pitch
float | camera_mouse_scale
float | max_pitch_rate
float | max_heading_rate
bool | move_camera
glm::vec3 | camera_position
glm::vec3 | camera_position_delta
glm::vec3 | camera_look_at
glm::vec3 | camera_direction
glm::vec3 | camera_up
glm::quat | rotation_quaternion
glm::vec3 | mouse_position
glm::mat4 | projection
glm::mat4 | view
glm::mat4 | model
glm::mat4 | MVP

## Member Function Documentation

## ◆ TakeDown()

void chrono::opengl::ChOpenGLCamera::TakeDown | ( |  | ) |
| inlinevirtual

Implements chrono::opengl::ChOpenGLBase.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_opengl/ChOpenGLCamera.h
- D:/W/B/src/chrono-9.0.1/src/chrono_opengl/ChOpenGLCamera.cpp